package com.jscape.util.io;

import java.io.InputStream;
import java.io.OutputStream;

/**
 * @author Alex Usun
 */
public class ZipCompressionService
        implements CompressionService {

    public InputStream compress(InputStream base) {
        return new DeflaterInputStream(base);
    }

    public OutputStream decompress(OutputStream base) {
        return new InflaterOutputStream(base);
    }

}
